%global plugin_name workflow-durable-task-step

Summary:    Pipeline steps locking agents and workspaces for Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.11
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Nodes+and+Processes+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-durable-task-step-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-script-security
Requires:   jenkins-plugin-durable-task
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-api

%description
Pipeline steps locking agents and workspaces, and running 
external processes that may survive a Jenkins restart or slave reconnection.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.11 - 2.11-10
- rebuilt

* Fri Apr 28 2017 Troy Dawson <tdawson@redhat.com> - 2.11-1
- Update to 2.11

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 2.10-1
- Update to 2.10

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.10-1
- Update to 2.10

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.5-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Initial package
